<div *ngIf="docs && docs.length; else notDocument "
	[@animate]="{value:'*',params:{delay:'300ms',y:'25px'}}">
	<ng-container *ngFor="let category of docs; index as indexCategory">

		<mat-expansion-panel class="mb-16 border" [expanded]="true">
			<mat-expansion-panel-header>
				<div fxFlex=""> {{category.name_category}} </div>

			</mat-expansion-panel-header>

			<table mat-table
				[dataSource]="category.docs"
				[multiTemplateDataRows]="true">

				<ng-container matColumnDef="checkBox">
					<th mat-header-cell *matHeaderCellDef></th>
					<td mat-cell *matCellDef="let row">
						<div>
							<mat-checkbox
								#checkbox
								[hidden]="(this.maxCountCheckDone && !checkbox.checked) ||
										(this.hasDisabled &&  row.disabled) "
								(click)="$event.stopPropagation()"
								(change)="checkDoc($event, {
											type: category.code_category,
											id: row.id,
											name_category: category.name_category,
											name_type: row.name_document_type
											 })">
							</mat-checkbox>
						</div>
					</td>
				</ng-container>

				<ng-container matColumnDef="name">
					<th mat-header-cell *matHeaderCellDef> Тип Документа </th>
					<td mat-cell *matCellDef="let row"> {{row.name_document_type}} </td>
				</ng-container>

				<ng-container matColumnDef="series">
					<th mat-header-cell *matHeaderCellDef> Серия</th>
					<td mat-cell *matCellDef="let row"> {{row.doc_series}} </td>
				</ng-container>

				<ng-container matColumnDef="number">
					<th mat-header-cell *matHeaderCellDef> Номер</th>
					<td mat-cell *matCellDef="let row"> {{row.doc_number}} </td>
				</ng-container>

				<ng-container matColumnDef="nameSubject">
					<th mat-header-cell *matHeaderCellDef> Предмет</th>
					<td mat-cell *matCellDef="let row"> {{row.name_subject}} </td>
				</ng-container>

				<ng-container matColumnDef="mark">
					<th mat-header-cell *matHeaderCellDef> Балл</th>
					<td mat-cell *matCellDef="let row"> {{row.mark}} </td>
				</ng-container>

				<ng-container matColumnDef="issueDate">
					<th mat-header-cell *matHeaderCellDef> Дата выдачи</th>
					<td mat-cell *matCellDef="let row"> {{row.issue_date | date: 'dd.MM.yyyy'}} </td>
				</ng-container>

				<ng-container matColumnDef="checked">
					<th mat-header-cell *matHeaderCellDef> Статус</th>
					<td mat-cell *matCellDef="let row"> {{row.checked | yesNo: 'Подтвержден' : 'Не подтвержден'}} </td>
				</ng-container>

				<ng-container  matColumnDef="delete">
					<th mat-header-cell *matHeaderCellDef> </th>
					<td mat-cell *matCellDef="let row; let index = dataIndex;">
						<button mat-icon-button color="primary"
							(click)="deleteDoc(row.id, category.code_category, index, indexCategory);
								$event.stopPropagation()">
							<mat-icon svgIcon="delete"></mat-icon>
						</button>
					</td>
				</ng-container>
				<ng-container  matColumnDef="edit">
					<th mat-header-cell *matHeaderCellDef> </th>
					<td mat-cell *matCellDef="let row; let index = dataIndex;">
						<button mat-icon-button *ngIf="row.can_edit === true" color="primary"
							(click)="editDoc(row.id, category.code_category, index, indexCategory);
								$event.stopPropagation()">
							<mat-icon svgIcon="pencil"></mat-icon>
						</button>
					</td>
				</ng-container>

				<!--<tr mat-header-row *matHeaderRowDef="['categoryName']" class="searchColumns" ></tr>-->
				<tr mat-header-row *matHeaderRowDef="headerColumns[category.code_category] || getColumnsHeader(category.code_category); sticky: false"></tr>
				<tr class="table-row" mat-row
					*matRowDef="let item; columns: headerColumns[category.code_category] || getColumnsHeader(category.code_category);"
					(click)="getDocInfo(category.code_category, item.id)"
				></tr>

			</table>
		</mat-expansion-panel>
	</ng-container>

</div>

<ng-template #notDocument>
	<div>
		<i> Не найдено ни одного документа</i>
	</div>
</ng-template>
